using System;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Web;
using System.Net;
using SessionAwareWebSvcClient.SessionService;

namespace SessionAwareWebSvcClient
{
	/// <summary>
	/// Summary description for AppForm.
	/// </summary>
	public class AppForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.Button btnSet;
		private System.Windows.Forms.Button btnGet;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.Label label1;
		
		private RequestData ReqData;

		public AppForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			
			SessSvc svc = new SessSvc();
			ReqData = new RequestData(svc.Url);
			if ( svc.Url.StartsWith("http://localhost") )
				MessageBox.Show("Please change the service uri to valid url");

			label1.Text = "Using web service at " + svc.Url;
		}
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.btnSet = new System.Windows.Forms.Button();
			this.btnGet = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(16, 56);
			this.textBox1.Size = new System.Drawing.Size(192, 22);
			this.textBox1.Text = "42";
			// 
			// btnSet
			// 
			this.btnSet.Location = new System.Drawing.Point(72, 104);
			this.btnSet.Text = "Set value";
			this.btnSet.Click += new System.EventHandler(this.btnSet_Click);
			// 
			// btnGet
			// 
			this.btnGet.Location = new System.Drawing.Point(72, 152);
			this.btnGet.Text = "Get Value";
			this.btnGet.Click += new System.EventHandler(this.btnGet_Click);
			// 
			// label1
			// 
			this.label1.Size = new System.Drawing.Size(240, 48);
			this.label1.Text = "label1";
			// 
			// AppForm
			// 
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnSet);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.btnGet);
			this.Menu = this.mainMenu1;
			this.MinimizeBox = false;
			this.Text = "Form1";

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>

		static void Main() 
		{
			Application.Run(new AppForm());
		}

		/// <summary>
		/// Handling the click event from the "Set" button
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void btnSet_Click(object sender, System.EventArgs e)
		{
			// Create web service proxy instance
			SessSvc svc = new SessSvc();
			Cursor.Current = Cursors.WaitCursor;
			// Invoke method
			svc.SessionSetValue(int.Parse(textBox1.Text));
			Cursor.Current = Cursors.Default;
		}

		/// <summary>
		/// Handling the click event from the "Get" button
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void btnGet_Click(object sender, System.EventArgs e)
		{
			SessSvc svc = new SessSvc();
			int val = svc.SessionGetValue();
			textBox1.Text = val.ToString();
			MessageBox.Show("Received value: " + val.ToString());
		}

	}


}
